#
# spec file for package iceme (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  python python-gtk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python python-gtk rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         iceme
Version:      1.0.0
Release:      262
BuildArch:	noarch
Summary:      A graphical menu editor for IceWM
Group:		X11/Window Managers
Source:		http://download.sourceforge.net/iceme/iceme-%{version}.tar.gz
URL:		http://iceme.sourceforge.net
Copyright:	GPL
Requires:	python >= 1.5.2, icewm >= 0.94
Requires:       python-gtk
BuildRoot:	/var/tmp/%{name}-root

%description
IceMe is a graphical menu and shortcut editor for the fast and
light-weight window manager IceWM. It allows the user to edit the IceWM
menu with either drag and drop or cut and paste. If started as root,
can edit the global menu, too. This version is for IceWM 0.94 or higher.

Authors:
--------
    Dirk Moebius <dmoebius@gmx.net>

SuSE series: xwm

%prep
%setup

%build
make BUILD_ROOT=$RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make BUILD_ROOT=$RPM_BUILD_ROOT install

%clean
make BUILD_ROOT=$RPM_BUILD_ROOT clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYING Changelog FAQ README TODO
/usr/X11R6/bin/iceme
/usr/lib/iceme

%changelog -n iceme
* Fri Nov 24 2000 - ro@suse.de
- neededforbuild pygtk -> python-gtk
* Thu Nov 23 2000 - kukuk@suse.de
- Fix requires (pygtk -> python-gtk)
* Wed Jun 28 2000 - grimmer@suse.de
- initial version (1.0.0)
- used original spec file as template
